#ifndef CMS_SIGNER_COLLECTION_H_INCLUDED
#define  CMS_SIGNER_COLLECTION_H_INCLUDED

#include <vector>

#include "cms/isigners.h"
#include "../common/common.h"
#include "../stdafx.h"

#include "signer.h"

class SignerCollection : public ISignerCollection {
public:
    SignerCollection();
    ~SignerCollection();

    //methods
    void push(Handle<ISigner> signer);
    void pop();
    int length();
    Handle<ISigner> items(int index);

private:
    std::vector<Handle<ISigner>> _signers;
};

#endif //!CMS_SIGNER_COLLECTION_H_INCLUDED
